# Uses of Interface
org.eclipse.jdt.core.IJavaModel

Packages that use IJavaModel
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IJavaModel in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IJavaModel
Modifier and Type
Method
Description
`static IJavaModel`
JavaCore.`create(IWorkspaceRoot root)`
Returns the Java model.
`IJavaModel`
IJavaElement.`getJavaModel()`
Returns the Java model.

## Uses of IJavaModel in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IJavaModel
Modifier and Type
Method
Description
`protected Object[]`
StandardJavaElementContentProvider.`getJavaProjects(IJavaModel jm)`
Evaluates all Java projects of a given `IJavaModel`.